3.8.21 & Mavericks latest version

Can 3.8.21 be used with 10.9s latest version?

Comments

  • JasperJasper

    Team Member

    Hi @Dustin66,

    1Password 3.8.21 should work fine on Mavericks. Please let us know if you have any trouble!

This discussion has been closed.